org.apache.xmpbox.schema

## Class XMPBasicSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.XMPBasicSchema

    public class XMPBasicSchema
    extends XMPSchema

Representation of XMPBasic Schema

Author:
  a183132

### Field Summary

Fields
`static String` `ADVISORY`
`static String` `BASEURL`
`static String` `CREATEDATE`
`static String` `CREATORTOOL`
`static String` `IDENTIFIER`
`static String` `LABEL`
`static String` `METADATADATE`
`static String` `MODIFIER_DATE`
`static String` `MODIFYDATE`
`static String` `NICKNAME`
`static String` `RATING`
`static String` `THUMBNAILS`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`XMPBasicSchema(XMPMetadata metadata)` Constructor of XMPBasic schema with preferred prefix
`XMPBasicSchema(XMPMetadata metadata, String ownPrefix)` Constructor of XMPBasic schema with specified prefix

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAdvisory(String xpath)` Add a property specification that were edited outside the authoring application
`void` `addIdentifier(String text)` Add a text string which unambiguously identify the resource within a given context
`void` `addThumbnails(Integer height, Integer width, String format, String img)` Add thumbnail to thumbnails list
`List<String>` `getAdvisory()` Get the Advisory property values
`ArrayProperty` `getAdvisoryProperty()` Get the Advisory property
`String` `getBaseURL()` Get the BaseURL property value
`TextType` `getBaseURLProperty()` Get the BaseURL property
`Calendar` `getCreateDate()` Get the CreateDate property value
`DateType` `getCreateDateProperty()` Get the CreateDate property
`String` `getCreatorTool()` Get the CreationTool property value
`TextType` `getCreatorToolProperty()` Get the CreationTool property
`List<String>` `getIdentifiers()` Get the Identifier property values
`ArrayProperty` `getIdentifiersProperty()` Get the Identifier property
`String` `getLabel()` Get the label property value
`TextType` `getLabelProperty()` Get the label property
`Calendar` `getMetadataDate()` Get the MetadataDate property value
`DateType` `getMetadataDateProperty()` Get the MetadataDate property
`Calendar` `getModifierDate()`
`DateType` `getModifierDateProperty()`
`Calendar` `getModifyDate()` Get the ModifyDate property value
`DateType` `getModifyDateProperty()` Get the ModifyDate property
`String` `getNickname()` Get the Nickname property value
`TextType` `getNicknameProperty()` Get the Nickname property
`Integer` `getRating()` Get the Rating property value
`IntegerType` `getRatingProperty()` Get the Rating property
`List<ThumbnailType>` `getThumbnailsProperty()` Get list of Thumbnails
`void` `removeAdvisory(String xpath)`
`void` `removeIdentifier(String text)`
`void` `setBaseURL(String url)` Set the base URL for relative URLs in the document content
`void` `setBaseURLProperty(URLType url)` Set the base URL property
`void` `setCreateDate(Calendar date)` Set the date and time the resource was originally created
`void` `setCreateDateProperty(DateType date)` Set the create date property
`void` `setCreatorTool(String creatorTool)` set the name of the first known tool used to create this resource
`void` `setCreatorToolProperty(AgentNameType creatorTool)` set the creatorTool property
`void` `setLabel(String text)` set a word or a short phrase which identifies a document as a member of a user-defined collection
`void` `setLabelProperty(TextType text)` set the label property
`void` `setMetadataDate(Calendar date)` Set the date and time that any metadata for this resource was last changed.
`void` `setMetadataDateProperty(DateType date)` Set the MetadataDate property
`void` `setModifierDate(Calendar date)`
`void` `setModifierDateProperty(DateType date)`
`void` `setModifyDate(Calendar date)` Set the date and time the resource was last modified
`void` `setModifyDateProperty(DateType date)` Set the ModifyDate property
`void` `setNickname(String text)` Set a short informal name for the resource
`void` `setNicknameProperty(TextType text)` Set the NickName property
`void` `setRating(Integer rate)` Set a number that indicates a document's status relative to other documents, used to organize documents in a file browser (values are user-defined within an application-defined range)
`void` `setRatingProperty(IntegerType rate)` Set Rating Property

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ADVISORY

    public static final String ADVISORY

See Also:
  Constant Field Values

#### BASEURL

    public static final String BASEURL

See Also:
  Constant Field Values

#### CREATEDATE

    public static final String CREATEDATE

See Also:
  Constant Field Values

#### CREATORTOOL

    public static final String CREATORTOOL

See Also:
  Constant Field Values

#### IDENTIFIER

    public static final String IDENTIFIER

See Also:
  Constant Field Values

#### LABEL

    public static final String LABEL

See Also:
  Constant Field Values

#### METADATADATE

    public static final String METADATADATE

See Also:
  Constant Field Values

#### MODIFYDATE

    public static final String MODIFYDATE

See Also:
  Constant Field Values

#### NICKNAME

    public static final String NICKNAME

See Also:
  Constant Field Values

#### RATING

    public static final String RATING

See Also:
  Constant Field Values

#### THUMBNAILS

    public static final String THUMBNAILS

See Also:
  Constant Field Values

#### MODIFIER_DATE

    public static final String MODIFIER_DATE

See Also:
  Constant Field Values

### Constructor Detail

#### XMPBasicSchema

    public XMPBasicSchema(XMPMetadata metadata)

Constructor of XMPBasic schema with preferred prefix

Parameters:
  `metadata` - The metadata to attach this schema

#### XMPBasicSchema

    public XMPBasicSchema(XMPMetadata metadata,
                          String ownPrefix)

Constructor of XMPBasic schema with specified prefix

Parameters:
  `metadata` - The metadata to attach this schema
  `ownPrefix` - The prefix to assign

### Method Detail

#### addThumbnails

    public void addThumbnails(Integer height,
                              Integer width,
                              String format,
                              String img)

Add thumbnail to thumbnails list

Parameters:
  `height` - height format
  `width` - width format
  `format` - thumbnail format
  `img` - Image data

#### addAdvisory

    public void addAdvisory(String xpath)

Add a property specification that were edited outside the authoring application

Parameters:
  `xpath` - the value to add

#### removeAdvisory

    public void removeAdvisory(String xpath)

#### setBaseURL

    public void setBaseURL(String url)

Set the base URL for relative URLs in the document content

Parameters:
  `url` - the Base url value to set

#### setBaseURLProperty

    public void setBaseURLProperty(URLType url)

Set the base URL property

Parameters:
  `url` - the Base url property to set

#### setCreateDate

    public void setCreateDate(Calendar date)

Set the date and time the resource was originally created

Parameters:
  `date` - the value to set

#### setCreateDateProperty

    public void setCreateDateProperty(DateType date)

Set the create date property

Parameters:
  `date` - the create date property to set

#### setCreatorTool

    public void setCreatorTool(String creatorTool)

set the name of the first known tool used to create this resource

Parameters:
  `creatorTool` - the creator tool value to set

#### setCreatorToolProperty

    public void setCreatorToolProperty(AgentNameType creatorTool)

set the creatorTool property

Parameters:
  `creatorTool` - the creator tool property to set

#### addIdentifier

    public void addIdentifier(String text)

Add a text string which unambiguously identify the resource within a given context

Parameters:
  `text` - the identifier value to add

#### removeIdentifier

    public void removeIdentifier(String text)

#### setLabel

    public void setLabel(String text)

set a word or a short phrase which identifies a document as a member of a user-defined collection

Parameters:
  `text` - the label value to set

#### setLabelProperty

    public void setLabelProperty(TextType text)

set the label property

Parameters:
  `text` - the label property to set

#### setMetadataDate

    public void setMetadataDate(Calendar date)

Set the date and time that any metadata for this resource was last changed. (should be equals or more recent than the createDate)

Parameters:
  `date` - the Metadata Date value to set

#### setMetadataDateProperty

    public void setMetadataDateProperty(DateType date)

Set the MetadataDate property

Parameters:
  `date` - the Metadata Date property to set

#### setModifyDate

    public void setModifyDate(Calendar date)

Set the date and time the resource was last modified

Parameters:
  `date` - the Modify Date value to set

#### setModifierDate

    public void setModifierDate(Calendar date)

#### setModifyDateProperty

    public void setModifyDateProperty(DateType date)

Set the ModifyDate property

Parameters:
  `date` - the Modify Date property to set

#### setModifierDateProperty

    public void setModifierDateProperty(DateType date)

#### setNickname

    public void setNickname(String text)

Set a short informal name for the resource

Parameters:
  `text` - the Nickname value to set

#### setNicknameProperty

    public void setNicknameProperty(TextType text)

Set the NickName property

Parameters:
  `text` - the Nickname property to set

#### setRating

    public void setRating(Integer rate)

Set a number that indicates a document's status relative to other documents, used to organize documents in a file browser (values are user-defined within an application-defined range)

Parameters:
  `rate` - the rate value to set

#### setRatingProperty

    public void setRatingProperty(IntegerType rate)

Set Rating Property

Parameters:
  `rate` - the rate property to set

#### getAdvisoryProperty

    public ArrayProperty getAdvisoryProperty()

Get the Advisory property

Returns:
  the advisory property

#### getAdvisory

    public List<String> getAdvisory()

Get the Advisory property values

Returns:
  list of adivory values

#### getBaseURLProperty

    public TextType getBaseURLProperty()

Get the BaseURL property

Returns:
  the base url property

#### getBaseURL

    public String getBaseURL()

Get the BaseURL property value

Returns:
  the base url value

#### getCreateDateProperty

    public DateType getCreateDateProperty()

Get the CreateDate property

Returns:
  the CreateDate property

#### getCreateDate

    public Calendar getCreateDate()

Get the CreateDate property value

Returns:
  the CreateDate value

#### getCreatorToolProperty

    public TextType getCreatorToolProperty()

Get the CreationTool property

Returns:
  the CreationTool property

#### getCreatorTool

    public String getCreatorTool()

Get the CreationTool property value

Returns:
  the CreationTool value

#### getIdentifiersProperty

    public ArrayProperty getIdentifiersProperty()

Get the Identifier property

Returns:
  the Identifier property

#### getIdentifiers

    public List<String> getIdentifiers()

Get the Identifier property values

Returns:
  list of all identifier values

#### getLabelProperty

    public TextType getLabelProperty()

Get the label property

Returns:
  the label property

#### getLabel

    public String getLabel()

Get the label property value

Returns:
  the label value

#### getMetadataDateProperty

    public DateType getMetadataDateProperty()

Get the MetadataDate property

Returns:
  the MetadataDate property

#### getMetadataDate

    public Calendar getMetadataDate()

Get the MetadataDate property value

Returns:
  the MetadataDate value

#### getModifyDateProperty

    public DateType getModifyDateProperty()

Get the ModifyDate property

Returns:
  the ModifyDate property

#### getModifierDateProperty

    public DateType getModifierDateProperty()

#### getModifyDate

    public Calendar getModifyDate()

Get the ModifyDate property value

Returns:
  the ModifyDate value

#### getModifierDate

    public Calendar getModifierDate()

#### getNicknameProperty

    public TextType getNicknameProperty()

Get the Nickname property

Returns:
  the Nickname property

#### getNickname

    public String getNickname()

Get the Nickname property value

Returns:
  the Nickname value

#### getRatingProperty

    public IntegerType getRatingProperty()

Get the Rating property

Returns:
  the Rating property

#### getRating

    public Integer getRating()

Get the Rating property value

Returns:
  the Rating value

#### getThumbnailsProperty

    public List<ThumbnailType> getThumbnailsProperty()
                                              throws BadFieldValueException

Get list of Thumbnails

Returns:
  List of all thumbnails properties defined
Throws:
  `BadFieldValueException` - if one thumbnail is not thumbnail type